ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-9951) hadooplzo_2_2_2_0_2538-native can not be upgraded during RU
Date Thu, 05 Mar 2015 22:52:38 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-9951?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14349567#comment-14349567
] 

Hadoop QA commented on AMBARI-9951:
-----------------------------------

{color:red}-1 overall{color}.  Here are the results of testing the latest attachment 
  http://issues.apache.org/jira/secure/attachment/12702904/AMBARI-9951.2.patch
  against trunk revision .

    {color:green}+1 @author{color}.  The patch does not contain any @author tags.

    {color:green}+1 tests included{color}.  The patch appears to include 2 new or modified
test files.

    {color:green}+1 javac{color}.  The applied patch does not increase the total number of
javac compiler warnings.

    {color:green}+1 release audit{color}.  The applied patch does not increase the total number
of release audit warnings.

    {color:red}-1 core tests{color}.  The test build failed in ambari-server 

Test results: https://builds.apache.org/job/Ambari-trunk-test-patch/1938//testReport/
Console output: https://builds.apache.org/job/Ambari-trunk-test-patch/1938//console

This message is automatically generated.

> hadooplzo_2_2_2_0_2538-native can not be upgraded during RU
> -----------------------------------------------------------
>
>                 Key: AMBARI-9951
>                 URL: https://issues.apache.org/jira/browse/AMBARI-9951
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.0.0
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.0.0
>
>         Attachments: AMBARI-9951.2.patch, AMBARI-9951.patch
>
>
> {code}
> 2015-03-05 13:43:38,414 - Installing package lzo ('/usr/bin/zypper --quiet install --auto-agree-with-licenses
--no-confirm --repo HDP-UTILS-2.2.2.0-2538 --repo HDP-2.2.2.0-2538 lzo')
> 2015-03-05 13:43:44,829 - u"Package['hadooplzo_2_2_2_0_2538*']" {'use_repos': ['base',
'HDP-UTILS-2.2.2.0-2538', 'HDP-2.2.2.0-2538']}
> 2015-03-05 13:43:45,787 - Installing package hadooplzo_2_2_2_0_2538* ('/usr/bin/zypper
--quiet install --auto-agree-with-licenses --no-confirm --repo HDP-UTILS-2.2.2.0-2538 --repo
HDP-2.2.2.0-2538 'hadooplzo_2_2_2_0_2538*'')
> Can not install packages.
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
96, in actionexecute
>     Package(name, use_repos=list(current_repo_files) if OSCheck.is_ubuntu_family() else
current_repositories)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 148,
in __init__
>     self.env.run()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
152, in run
>     self.run_action(resource, action)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
118, in run_action
>     provider_action()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 43, in action_install
>     self.install_package(package_name, self.resource.use_repos)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/zypper.py",
line 72, in install_package
>     shell.checked_call(cmd, sudo=True, logoutput=self.get_logoutput())
>   File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 70,
in inner
>     return function(command, **kwargs)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 82,
in checked_call
>     return _call(command, logoutput, True, cwd, env, preexec_fn, user, wait_for_finish,
timeout, path, sudo, on_new_line)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 199,
in _call
>     raise Fail(err_msg)
> Fail: Execution of '/usr/bin/zypper --quiet install --auto-agree-with-licenses --no-confirm
--repo HDP-UTILS-2.2.2.0-2538 --repo HDP-2.2.2.0-2538 'hadooplzo_2_2_2_0_2538*'' returned
4. Problem: nothing provides libjvm.so()(64bit) needed by hadooplzo_2_2_2_0_2538-native-0.6.0.2.2.2.0-2538.x86_64
>  Solution 1: do not install hadooplzo_2_2_2_0_2538-native-0.6.0.2.2.2.0-2538.x86_64
>  Solution 2: break hadooplzo_2_2_2_0_2538-native-0.6.0.2.2.2.0-2538.x86_64 by ignoring
some of its dependencies
> Choose from above solutions by number or cancel [1/2/c] (c): c
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message